Bug 1257635 - [fix available] sometimes LO doesn't see cups printers
Summary: [fix available] sometimes LO doesn't see cups printers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
: 1257715 (view as bug list)
Depends On:
Blocks: 1297830 1313485
TreeView+ depends on / blocked
 
Reported: 2015-08-27 13:54 UTC by Bill Sanford
Modified: 2016-11-03 19:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:01:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2579 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2016-11-03 12:07:37 UTC

Description Bill Sanford 2015-08-27 13:54:15 UTC
Description of problem:
I install LO on a RHEL 7.2 install without printers configured. I run LO for a while and exit. I then:

* vim /etc/cups/cupsd.conf and add "BrowsePoll cups.bos.redhat.com:631"
* vim /etc/cups/client.conf and add "ServerName cups.bos.redhat.com:631" 

service cups restart

After the restart, LO only still has "Generic Printer" in the list of printers. If I then reboot the system, then I see the full list of printers that I would expect to see after the restart command.

Version-Release number of selected component (if applicable):
RHEL-7.2-20150817.n.2
libreoffice-4.3.7.2-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. See Above.
2.
3.

Actual results:
Printers do not show up after "service cups restart"

Expected results:
Printers DO show up after "service cups restart"

Additional info:

Comment 2 Caolan McNamara 2016-01-21 14:20:06 UTC
Fresh install of RHEL-7.2 + yum update to LibreOffice 4.3.7.2 (etc) + vpn into redhat network. Followed the exact steps to reproduce and I get a full list of printers.

But if I leave libreoffice alone for a while, and revisit then it says just "generic printer", but another attempt to launch the print dialog will show them again. Maybe there is a timeout issue or something of that nature at work.

Comment 3 Caolan McNamara 2016-01-22 10:51:00 UTC
*** Bug 1257715 has been marked as a duplicate of this bug. ***

Comment 4 Caolan McNamara 2016-01-22 11:10:02 UTC
We're calling  httpConnectEncrypt and then httpClose on its get and then using cupsGetDests and sometimes we get 0 printers back. If I change this to the more logical httpConnectEncrypt and use its result with cupsGetDests2 and then clean up with httpClose I consistently get results so I reckon we can solve this that way.

Comment 5 David Tardon 2016-03-02 08:36:35 UTC
Fixed by rebase to 5.0.x: bug 1290148.

Comment 8 Bill Sanford 2016-09-01 15:33:08 UTC
Verified

RHEL-7.3-20160901.1
libreoffice-5.0.6.2-3.el7.x86_64

Comment 10 errata-xmlrpc 2016-11-03 19:01:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2579.html


Note You need to log in before you can comment on or make changes to this bug.